Bug 11617 - 'xconfig --card --monitor' makes me confirm what it found
'xconfig --card --monitor' makes me confirm what it found
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-05-23 18:01 EDT by Jeff Blaine
Modified: 2007-04-18 12:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-12 19:17:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Blaine 2000-05-23 18:01:24 EDT
The kickstart directive 'xconfig --card --monitor' finds
my video card and then pops up a dialog box for 'OK   Back'.

The installation does not continue until I select 'OK'

That seems broken for automated installations.
Comment 1 Brock Organ 2000-06-12 14:32:53 EDT
hmmm ... using the same xconfig line as you in the kickstart file below, I did
not get a dialog during X configuration ... what video card were you using ...?

lang en_US
network --bootproto dhcp
nfs --server foobar --dir /mnt/zoot/i386
keyboard "us"
zerombr yes
clearpart --all
part / --size 2000
part swap --size 128
mouse generic3ps/2
timezone America/New_York
xconfig --card --monitor
rootpw --iscrypted xxxxxxxxxxxxxxxxxxxxxxxxxxxx
auth --useshadow --enablemd5
lilo --location mbr --append "mem=60m"
@X Window System

Comment 2 Jeff Blaine 2000-06-12 14:58:46 EDT
STB Velocity 128 (nVidia Riva 128 based).  I have a feeling it does not ask for 
confirmation if the network configuration part 'succeeded'.  That is, I have a 
feeling that it is a symptom of using 'network --bootproto static --ip UNKNOWN 
--netmask --gateway --nameserver' to 
force manual assignment of an IP address.  See bug 11616 :<
Comment 3 Jeff Blaine 2000-06-12 18:00:48 EDT
WHEW.  I just spent an hour trying to make this 'fail' again.  I was starting to 
think I was REALLY losing my mind, but I got it to fail.  I gave you with an 
incorrect 'xconfig' line in the ks.cfg.  Comment it out entirely so that there 
is no xconfig line and the kickstart then probes and finds your card and asks 
you to confirm it anyway.

So the bug has now turned into 'Leaving out xconfig does nothing to stop X 
probing and manual confirmation of what it found'.  Should we close this bug and 
open a new one?  It's gotten pretty sidetracked.
Comment 4 Brock Organ 2000-06-12 19:17:28 EDT
thanks for your efforts! :)  

I think we should close this bug out, since the xconfig --card --monitor line
works properly ... as for the new issue, popping up the X dialog if you leave
out the xconfig line, add the following line "skipx" in your ks file as below to
allow the install to not present the X config dialog (yes, it means X won't be
configured, but if you want X configured and no dialog you can add the xconfig
--card --monitor line again...)

mouse generic3ps/2
timezone America/New_York
#xconfig --card --monitor
rootpw --iscrypted xxxxxxxxxxxxxxxxxxxxxxxxxxxx

again, thanks for your efforts and hope this helps!

Note You need to log in before you can comment on or make changes to this bug.